using System;
using System.Collections.Generic;
using System.Text;
using System.Text.Json.Serialization;

namespace GMCabsDriverAssistant.Models
{
    public class DriverRatingResponse
    {
        [JsonPropertyName("id")]
        public Guid Id { get; set; }
        
        [JsonPropertyName("referral_code")]
        public string ReferralCode { get; set; }

        [JsonPropertyName("rating")]
        public int Rating { get; set; }

        [JsonPropertyName("first_name")]
        public string FirstName { get; set; }

        [JsonPropertyName("last_name")]
        public string LastName { get; set; }

        [JsonPropertyName("phone_number")]
        public string PhoneNumber { get; set; }

        [JsonPropertyName("driver_authority")]
        public string DriverAuthority { get; set; }
    }
}
